OD(1)

NUME
od - descarcă/transferă fișiere în octal și în alte formate

SINOPSIS
od [OPȚIUNE]... [FIȘIER]...
od [-abcdfilosx]... [FIȘIER] [[+]POZIȚIE[.][b]]
od --traditional [OPȚIUNE]... [FIȘIER] [[+]POZIȚIE[.][b] [+][ETICHETA][.][b]]

DESCRIERE

Scrie o reprezentare fără ambiguitate, ca octeți în reprezentare octală în mod implicit, a FIȘIERului la ieșirea standard. Cu mai mult de un argument FIȘIER, le concatenează în ordinea listată pentru a forma intrarea.

Fără FIȘIER, sau când FIȘIER este „-”, citește intrarea standard.

Dacă se aplică ambele formate de apel primul și al doilea, se presupune al doilea format, dacă ultimul operand începe cu + sau, dacă sunt 2 operanzi, o cifră. Un operand de POZIȚIE înseamnă „-j POZIȚIE”. ETICHETA este pseudo-adresa la primul octet tipărit, incrementată atunci când descărcarea progresează. Pentru POZIȚIE și ETICHETA, un prefix 0x sau 0X indică hexazecimal; sufixele pot fi . pentru octal, și b pentru multiplii de 512.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-A, --address-radix=BAZĂ
    formatul de ieșire pentru pozițiile fișierului; BAZĂ este una din: d, o, x sau n (pentru zecimal, octal, hexazecimal sau niciuna)

--endian={big|little}
    interschimbă octeții de intrare conform ordinii specificate

-j, --skip-bytes=OCTEȚI
    omite primii OCTEȚI octeți din fișier

-N, --read-bytes=OCTEȚI
    limitează citirea intrării la OCTEȚI octeți

-S OCTEȚI, --strings[=OCTEȚI
    afișează numai șiruri terminate cu NUL de cel puțin OCTEȚI (implicit 3) caractere imprimabile

-t, --format=TIP
    selectează formatul sau formatele de ieșire

-v, --output-duplicates
    nu utilizează * pentru a marca suprimarea liniilor

-w[OCTEȚI], --width[=OCTEȚI]
    afișează OCTEȚI octeți pe fiecare linie de ieșire; 32 este implicit atunci când numărul de OCTEȚI nu este specificat

--traditional
    acceptă argumentele în a treia formă de mai sus

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

  Specificațiile de format tradiționale pot fi amestecate; acestea se acumulează:

-a  la fel ca „-t a”, selectează caracterele numite, ignorând bitul de ordin înalt

-b  la fel ca „-t o1”, selectează octeții în baza octală

-c  la fel ca „-t c”, selectează caracterele imprimabile sau eludările de bară oblică inversă

-d  la fel ca „-t u2”, selectează unități zecimale de 2 octeți fără semn

-f  la fel ca „-t fF”, selectează valorile cu virgulă flotantă

-i  la fel ca „-t dI”, selectează numerele întregi zecimale

-l  la fel ca „-t dL”, selectează numerele întregi zecimale lungi

-o  la fel ca „-t o2”, selectează unități octale de 2 octeți

-s  la fel ca „-t d2”, selectează unități zecimale de 2 octeți

-x  la fel ca „-t x2”, selectează unități hexazecimale de 2 octeți

  TIP este alcătuit din una sau mai multe dintre aceste specificații:

a   caracter numit, ignorând bitul de ordin înalt

c   caracter imprimabil sau eludare de bară oblică inversă

d[DIMENSIUNE]
    zecimal cu semn, DIMENSIUNE octeți per număr întreg

f[DIMENSIUNE]
    virgulă mobilă, DIMENSIUNE octeți per număr

o[DIMENSIUNE]
    octal, DIMENSIUNE octeți per număr întreg

u[DIMENSIUNE]
    zecimal fără semn, DIMENSIUNE octeți per număr întreg

x[DIMENSIUNE]
    hexazecimal, DIMENSIUNE octeți per număr întreg

DIMENSIUNE este un număr. Pentru TIP în [d, o, u sau x], DIMENSIUNE poate fi, de asemenea, C pentru sizeof(char), S pentru sizeof(short), I pentru sizeof(int) sau L pentru sizeof(long). Dacă TIP este f, DIMENSIUNE poate fi, de asemenea, B pentru Brain 16 biți, H pentru număr în virgulă mobilă de precizie medie,F pentru sizeof(float), D pentru sizeof(double) sau L pentru sizeof (long double).

Adăugarea unui sufix z oricărui TIP afișează caractere imprimabile la sfârșitul fiecărei linii de ieșire.

  OCTEȚI este hexazecimal cu prefix 0x sau 0X și poate avea un sufix multiplicator:

b   512

KB  1000

K   1024

MB  1000*1000

M   1024*1024

ș.a.m.d. pentru G, T, P, E, Z, Y. Prefixele binare pot fi folosite, de asemenea: KiB=K, MiB=M ș.a.m.d.

EXEMPLE

od -A x -t x1z -v
    Afișează ieșirea în format hexdump

od -A o -t oS -w16
    Formatul de ieșire implicit utilizat de od

AUTOR
Scris de Jim Meyering.

RAPORTAREA ERORILOR
Raportați erorile la: bug-coreutils@gnu.org
Pagina principală a GNU coreutils: <https://www.gnu.org/software/coreutils/>
Ajutor general pentru utilizarea software-ului GNU: https://www.gnu.org/gethelp/
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

CONSULTAȚI ȘI
Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/od>
sau local rulând comanda: «info '(coreutils) od invocation'»

Împachetat de Debian (9.10-1)
Drepturi de autor © 2026 Free Software Foundation, Inc.
Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți.
Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.